# @fizz.js/node-request-logger

This is a request-logger library for express.

## install

add `dependencies` into `package.json` and run `yarn install`

## configure

please put `requestLogger` config into `config/${env}.json`

```[json]
{
  "requestLogger": {
    "level": "combined",
    "format": "[URL: :url] [UA: :user-agent]"
  }
}
```

## test

```[bash]
yarn test
```

## coverage

```[bash]
yarn cover
```

## build

```[bash]
yarn build
```

## docs

```[bash]
yarn docs
```
