const process = require('process')
const path = require('path')
const target = process.env.NODE_ENV === 'production' ? 'dist' : 'libs'
const RequestLogger = require(path.resolve(target, 'index.js'))
const request = require('supertest')
const express = require('express')
const app = express()

/**
 *
 */
describe('TEST RequestLogger', () => {
  before(async () => {
    app.use(RequestLogger)
    app.get('/test', (req, res, next) => {
      res.status(200).send({ result: true })
    })
  })

  it('GREEN: CASE1', done => {
    request
      .agent(app)
      .get('/test')
      .expect(200)
      .end((err, res) => {
        if (err) {
          return done(err)
        }

        done()
      })
  })
})
